Skip to content
Back to top
View this page

# InputProfilePhotoStatic

class telegram.InputProfilePhotoStatic(photo, *, api_kwargs=None)

  Bases: `telegram.InputProfilePhoto`

  A static profile photo in the .JPG format.

  Use In

  - `telegram.Bot.set_business_account_profile_photo()`

  - `telegram.Bot.set_my_profile_photo()`

  Added in version 22.1.

  Parameters:

    photo (file object | `InputFile` | `bytes` | `pathlib.Path`) – The static profile photo. To upload a file, you can either pass a file object (e.g. `open("filename", "rb")`) or the file contents as bytes. If the bot is running in `local_mode`, passing the path of the file (as string or `pathlib.Path` object) is supported as well.

  type

    `'static'`.

    Type:

      `str`

  photo

    The static profile photo.

    Type:

      `telegram.InputFile` | `str`